import * as React from "react";
import * as PropTypes from "prop-types";
import { ElementProps } from "./Scrollbar";
export declare enum DIRECTION_AXIS {
    X = "x",
    Y = "y"
}
export interface ScrollbarTrackClickParameters {
    axis: DIRECTION_AXIS;
    offset: number;
}
export declare type ScrollbarTrackProps = ElementProps & {
    axis: DIRECTION_AXIS;
    className?: string;
    style?: React.CSSProperties;
    onClick?: (ev: MouseEvent, values: ScrollbarTrackClickParameters) => void;
    renderer?: React.FunctionComponent<ScrollbarTrackProps>;
};
export default class ScrollbarTrack extends React.Component<ScrollbarTrackProps, {}> {
    element: HTMLDivElement | null;
    static propTypes: {
        axis: PropTypes.Requireable<DIRECTION_AXIS>;
        className: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        elementRef: PropTypes.Requireable<(...args: any[]) => any>;
        renderer: PropTypes.Requireable<(...args: any[]) => any>;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<any> | null;
    private ref;
    private handleClick;
}
